Get automation
curl --request GET \
--url https://api.docsautomator.co/automation \
--header 'Authorization: Bearer <token>'{
"automation": {
"_id": "<string>",
"title": "<string>",
"dataSource": {
"name": "<string>"
},
"dataSourceName": "<string>",
"docTemplateLink": "<string>",
"newDocumentNameField": "<string>",
"isActive": true,
"saveGoogleDoc": true,
"locale": "<string>",
"formatNumbersWithLocale": true,
"pdfExpiration": "<string>",
"dateCreated": "2023-11-07T05:31:56Z",
"lastPreviewPdf": "<string>"
}
}Automations
Get automation
Retrieves a single automation by ID with full configuration details.
GET
/
automation
Get automation
curl --request GET \
--url https://api.docsautomator.co/automation \
--header 'Authorization: Bearer <token>'{
"automation": {
"_id": "<string>",
"title": "<string>",
"dataSource": {
"name": "<string>"
},
"dataSourceName": "<string>",
"docTemplateLink": "<string>",
"newDocumentNameField": "<string>",
"isActive": true,
"saveGoogleDoc": true,
"locale": "<string>",
"formatNumbersWithLocale": true,
"pdfExpiration": "<string>",
"dateCreated": "2023-11-07T05:31:56Z",
"lastPreviewPdf": "<string>"
}
}Authorizations
API key from your workspace settings. Pass as Authorization: Bearer <key> or X-API-Key: <key>. Find it at app.docsautomator.co/settings/workspace/api.
Query Parameters
The automation ID. Either automationId or docId is required.
Alternative to automationId.
Response
Automation details
Show child attributes
Show child attributes
Last modified on May 26, 2026
⌘I